// SPDX: BSD-2-Clause

mod config;
mod exit_listener;
mod logging;
mod message_handler;
mod network_change_listener;
mod public_ip;
pub mod utils;

mod tests;
mod internet;

pub use internet::CloudflareClient;
pub use config::{get_config_path, read_config, Config};
pub use exit_listener::ExitListener;
pub use logging::init_logger;
pub use message_handler::MessageHandler;
pub use network_change_listener::NetworkChangeListener;
pub use public_ip::get_current_public_ipv4;

pub const PROGRAM_NAME: &'static str = "dynip-cloudflare";
pub const MAX_ERORS_IN_ROW_DEFAULT: usize = 10;
const LOG_DIR: &str = "logs";
